Name:          docbook-dsssl
Version:       1.79
Release:       2mamba
Summary:       DocBook DSSL Stylesheet
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://docbook.sourceforge.net
Source:        http://downloads.sourceforge.net/sourceforge/docbook/docbook-dsssl-%{version}.tar.bz2
License:       Distributable
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires(pre): sgml-common

%description
DocBook DSSL Stylesheet.

%prep

%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -m755 %{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}
install -D -m755 bin/collateindex.pl %{buildroot}%{_bindir}/collateindex.pl
cp catalog VERSION %{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/

for d in dtds lib common html print images; do
   cp -a $d %{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/
done

%post
if [ $1 -ge 1 ]; then
#new install or upgrade
   /usr/bin/xmlcatalog --sgml --noout \
         --add %{_sysconfdir}/sgml/dsssl-stylesheets-%{version}.cat \
	 %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog
   /usr/bin/xmlcatalog --sgml --noout \
         --add %{_sysconfdir}/sgml/sgml-docbook.cat \
	 %{_sysconfdir}/sgml/dsssl-stylesheets-%{version}.cat
fi

%postun
if [ $1 -eq 0 ]; then
#erase
   /usr/bin/xmlcatalog --sgml --noout \
      --del %{_sysconfdir}/sgml/dsssl-stylesheets-%{version}.cat \
      %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog 2>/dev/null
   /usr/bin/xmlcatalog --sgml --noout \
         --del %{_sysconfdir}/sgml/sgml-docbook.cat \
	 %{_sysconfdir}/sgml/dsssl-stylesheets-%{version}.cat 2>/dev/null
fi

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/collateindex.pl
%dir %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}
%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/*
%doc BUGS ChangeLog README

%changelog
* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 1.79-2mamba
- automatic rebuild by autodist

* Wed Sep 24 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.79-1mamba
- package created by autospec
